library(ggplot2)

Longitude<- seq(-60,60,by=1)
Latitude<- seq(0,80,length.out=length(Longitude))

ggplot(data=data.frame(Longitude,Latitude)) +
  scale_size(range=c(1,7), guide = "legend",labs(size="Count")) + borders(database = "world")+
  coord_quickmap(xlim = c(min(Longitude),max(Longitude)), ylim = c(min(Latitude),max(Latitude))) +
  theme(aspect.ratio=1) + theme_bw() + xlab("Longitude") + ylab("Latitude") + ggtitle("Sensibility analysis to CPs domain")+
  geom_rect(aes(xmin=-15,xmax=10,ymin=32,ymax=48),col="red",fill=NA) +
  geom_text(aes(x=10,y=52,label="D1"),col="red")+#Dominio METEOCAT
  geom_rect(aes(xmin=-10,xmax=25,ymin=33,ymax=45),col="blue",fill=NA) +
  geom_text(aes(x=25,y=49,label="D2"),col="blue")+#Dominio PEP (Mediterranean)
  geom_rect(aes(xmin=-35,xmax=35,ymin=20,ymax=70),col="green",fill=NA)+
  geom_text(aes(x=35,y=74,label="D3"),col="green")+#Big Europe domain
  geom_rect(aes(xmin=0,xmax=3,ymin=40,ymax=43),col="black",fill="grey",alpha=0.01)